# Interface BreakpointEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror`

public interface BreakpointEvent extends LocatableEvent
Notification of a breakpoint in the target VM. The breakpoint event is generated before the code at its location is executed. When a location is reached which satisfies a currently enabled `breakpoint request`, an `event set` containing an instance of this class will be added to the VM's event queue.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`
  - `BreakpointRequest`

## Method Summary

### Methods declared in interface Event

`request`
Modifier and Type
Method
Description
`EventRequest`
`request()`

### Methods declared in interface Locatable

`location`
Modifier and Type
Method
Description
`Location`
`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.

### Methods declared in interface LocatableEvent

`thread`
Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the thread in which this event has occurred.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.